View Issue Details

IDProjectCategoryView StatusLast Update
0001105savapage-core[All Projects] Generalpublic2020-01-14 12:41
ReporterrijkrAssigned Torijkr 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.1.0 
Target Version1.2.0Fixed in Version1.2.0 
Summary0001105: Avoid empty string on not-null database column
DescriptionIST: Oracle DB interprets an empty zero-length string as NULL value. When set on a JPA "nullable = false" database column, this causes "ERROR - ORA-01400: cannot insert NULL".
SOLL-1: Do not set empty string on JPA "nullable = false" database column.
SOLL-2: Beware that Oracle DB stores empty string on "nullable = true" column as NULL value.
TagsNo tags attached.

Relationships

related to 0001109 resolvedrijkr Upgrade database schema to 1.10 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2020-01-08 20:47 rijkr New Issue
2020-01-08 20:47 rijkr Status new => assigned
2020-01-08 20:47 rijkr Assigned To => rijkr
2020-01-09 12:39 rijkr Relationship added related to 0001109
2020-01-14 12:41 rijkr Status assigned => resolved
2020-01-14 12:41 rijkr Resolution open => fixed
2020-01-14 12:41 rijkr Fixed in Version => 1.2.0